ScriptingChangeEvent Class Reference

notify an object that it should update its scripting environment (see class scripted) More...

`#include <Script.h>`

Inheritance diagram for ScriptingChangeEvent:

## Public Member Functions

| ScriptingChangeEvent (ScriptingEnv *e)
ScriptingEnv * | scriptingEnv () const
Type | type () const

## Private Attributes

ScriptingEnv * | env

## Detailed Description

notify an object that it should update its scripting environment (see class scripted)

## Constructor & Destructor Documentation

## ScriptingChangeEvent()

ScriptingChangeEvent::ScriptingChangeEvent | ( | ScriptingEnv * | e | ) |

inline

## Member Function Documentation

## scriptingEnv()

ScriptingEnv* ScriptingChangeEvent::scriptingEnv | ( |  | ) | const

inline

Referenced by scripted::scriptingChangeEvent().

## type()

Type ScriptingChangeEvent::type | ( |  | ) | const

inline

References SCRIPTING_CHANGE_EVENT.

## Member Data Documentation

## env

ScriptingEnv* ScriptingChangeEvent::env

private

The documentation for this class was generated from the following file:

- qtiplot/src/scripting/Script.h